import java.util.Scanner;

public class Section035_Type2 {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int j, L, h, m;
		int data[][] = { { 1,2,3,4,5,6,7,8,9,10 },
		                 { 100,66,25,88,90,65,87,86,58,99 } };
		j = scanf.nextInt();
		L = 0;
		h = 9;
		while (true)
		{
			if (L <= h)
			{
				m = (L + h) / 2;
				if (j == data[0][m])
				{
					System.out.printf("%d %d\n", j, data[1][m]);
					break;
				}
				if (j < data[0][m])
					h = m - 1;
				else
					L = m + 1;
			}
			else
			{
				System.out.printf("%d NOT FOUND", j);
				break;
			}
		}
		scanf.close();
	}
}